##
## Lines starting with ## are comments inside template file
## All other lines including empty lines are non-comments
## 
## This file is a template for generating an F90 subroutine
## For syntax of this file see "Readme.template"
##
## VALID VARIABLE NAMES FOR THIS TEMPLATE
##
## values -> list of strings
## keys -> list of integers
##
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!! File created at setup time.  DO NOT EDIT !!!

subroutine Simulation_mapIntToStr(key, str, map)
implicit none 

#include "constants.h"

   integer, intent(in) :: key, map
   character(len=*), intent(inout) :: str

   integer :: ctr, temp, n

   logical, save :: firstCall = .true.

   character(len=%(MAXLEN_values)s), dimension(1:%(COUNT_values|1)s),save :: values 
##   = (/&
##   &"%(5values !","!",&\n     "|err)s"&
##   &/)
   integer, dimension(1:%(COUNT_keys|1)s),save :: keys 
##   = (/&
##   & %(3keys! , !,&\n     |NONEXISTENT)s&
##   &/)

   if(firstCall) then
     firstCall = .false.
     n = 1
     values(n) = "%(values !"; n=n+1\n     values(n) = "|err)s"

     n = 1
     keys(n) = %(1keys! ; n=n+1\n     keys(n) = |err)s
        
   end if

   str = "err"
   temp = key + map*MAPBLOCKSIZE
   do ctr = LBOUND(keys,1), UBOUND(keys,1)
      if (keys(ctr) .eq. temp) then
         str = trim(values(ctr))
      end if
   end do
  
end subroutine Simulation_mapIntToStr


