##
## Lines starting with ## are comments inside template file
## All other lines including empty lines are non-comments
## 
## This file is a template for Generating an F90 subroutine
## For syntax of this file see "Readme.template"
##
## VALID VARIABLE NAMES FOR THIS TEMPLATE
##
## values -> list of strings
## keys -> list of integers
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!! File created at setup time.  DO NOT EDIT !!!
!!

subroutine Simulation_mapStrToInt(str,key,map)
implicit none 

#include "constants.h"

   character(len=*), intent(in) :: str
   integer, intent(out) :: key 
   integer, intent(in) :: map
   integer :: ctr, n
   character(len=MAX_STRING_LENGTH) :: temp

   !! values is an array possible input strings (with possibly extra spaces)
   !! keys is an array of corresponding answers

   character(len=%(MAXLEN_values)s), dimension(1:%(COUNT_values|1)s),save :: values
   
   integer, dimension(1:%(COUNT_keys|1)s),save :: keys
   
   integer :: numhits,currmap

   logical, save :: firstCall = .true.

   if(firstCall) then
     firstCall = .false.
     n = 1
     values(n) = "%(values !"\n      n=n+1\n     values(n) = "|err)s"

     n = 1
     keys(n) = %(1keys!\n       n=n+1\n     keys(n) = |err)s
        
   end if

   key = NONEXISTENT
   temp = str
   numhits = 0 ! number of matches we found
   call makeLowercase(temp)
   do ctr = LBOUND(values,1), UBOUND(values,1)
      currmap =keys(ctr)/MAPBLOCKSIZE  !! Quotient on division
      if ((trim(values(ctr)) .eq. trim(temp)) .and. (currmap .eq. map)) then
         numhits = numhits + 1
         key = keys(ctr)
      end if
   end do

   if (key /= NONEXISTENT) then
      key = mod(key,MAPBLOCKSIZE)
   end if

   if (numhits .gt. 1) then
      call Driver_abortFlash("Found multiple occurences of key in same block")
   end if

end subroutine Simulation_mapStrToInt

