!!****if* source/Driver/DriverMain/Driver_finalizeSourceTerms
!!
!! NAME
!!   
!!  Driver_finalizeSourceTerms
!!
!! SYNOPSIS
!!
!!  Driver_finalizeSourceTerms(integer(in) :: myPE,
!!                         logical(in) :: restart)
!!
!! DESCRIPTION
!!
!!   Finalizes all source terms Units by 
!!   calling their respective termination routines
!!   viz. Stir_finalize, Burn_finalize, Heat_finalize, Cool_finalize, etc.
!!  
!! ARGUMENTS
!!   myPE - current processor number
!!   restart - indicates if run is starting from scratch (.false.)
!!             or restarting from checkpoint (.true.)
!!
!!***

subroutine Driver_finalizeSourceTerms(myPE, restart)

  use Burn_interface, ONLY:  Burn_finalize
  use Stir_interface, ONLY : Stir_finalize
  use Heat_interface, ONLY : Heat_finalize
  use Diffuse_interface, ONLY : Diffuse_finalize
  use Cool_interface, ONLY : Cool_finalize

  implicit none
  
  integer, intent(in) :: myPE
  logical, intent(in) :: restart

  call Stir_finalize()
  call Cool_finalize()
  call Diffuse_finalize()
  call Heat_finalize()


!!$  call Ioniz_finalize()
  call Burn_finalize()

end subroutine Driver_finalizeSourceTerms
