!!****f* source/Driver/Driver_getSimTime
!!
!! NAME
!!  Driver_getSimTime
!!
!! SYNOPSIS
!!  
!!
!!  Driver_getSimTime(real(out) :: simulationTime)
!!  
!! DESCRIPTION 
!!
!!  Accessor function that returns the current simulation time from the Driver
!!
!! ARGUMENTS
!!  simulationTime - returned value, current run simulation time
!!
!!
!!***


!! NOTES
!!
!! The Driver unit uses a few unit scope variables that are
!! accessible to all routines within the unit, but not to the
!! routines outside the unit. These variables begin with "dr_"
!! like, dr_myPE or dr_dt, dr_beginStep, and are stored in FORTRAN
!! module Driver_data (in file Driver_data.F90). The other variables
!! are local to the specific routine and do not have the prefix "dr_"


subroutine Driver_getSimTime(simulationTime)

  implicit none
  real, intent(out) :: simulationTime

  !dummy values for stubs
  
  simulationTime = 0.0
  
end subroutine Driver_getSimTime

