!!****f* source/Driver/Driver_initMaterialProperties
!!
!! NAME
!!  Driver_initMaterialProperties
!!
!! SYNOPSIS
!!
!!   Driver_initMaterialProperties(integer(IN)::myPE)
!!
!! DESCRIPTION
!!
!!   Initializes all material properties units by 
!!   calling their respective initialization routines 
!!    
!! ARGUMENTS
!!
!!  myPE -- local processor number 
!!
!!***

subroutine Driver_initMaterialProperties(myPE)
  use MagneticResistivity_interface, ONLY : MagneticResistivity_init
  use Conductivity_interface, ONLY : Conductivity_init
  use MassDiffusivity_interface, ONLY : MassDiffusivity_init
  use Viscosity_interface, ONLY : Viscosity_init

  implicit none

  integer, intent(IN) :: myPE

  call Conductivity_init(myPE)
  call MassDiffusivity_init(myPE)
  call Viscosity_init(myPE)
  call MagneticResistivity_init(myPE)


end subroutine Driver_initMaterialProperties
