!!****f* source/Driver/Driver_initSourceTerms
!!
!! NAME
!!   
!!  Driver_initSourceTerms
!!
!! SYNOPSIS
!!
!!  Driver_initSourceTerms(integer(in) :: myPE,
!!                         logical(in) :: restart)
!!
!! DESCRIPTION
!!
!!   Initializes all source terms Units by 
!!   calling their respective initialization routines,
!!   viz. Stir_init, Burn_init, Heat_init, Cool_init, etc.
!!  
!!
!! ARGUMENTS
!!   myPE - current processor number
!!   restart - indicates if run is starting from scratch (.false.)
!!             or restarting from checkpoint (.true.)
!!
!!***

subroutine Driver_initSourceTerms(myPE, restart)

  implicit none

  integer, intent(in) :: myPE
  logical, intent(in) :: restart

end subroutine Driver_initSourceTerms
