!!****f* source/Grid/Grid_initDomain
!!
!! NAME
!!  Grid_initDomain
!!
!! SYNOPSIS
!!
!!  Grid_initDomain(integer(IN)  :: myPE,
!!                  integer(IN)  :: numProcs,
!!                  logical(IN)  :: restart,
!!                  logical(OUT) :: particlesInitialized))
!!           
!!
!! DESCRIPTION
!!  Initialize the Grid's data stuctures for the discretized mesh and
!!  apply the initial conditions.
!!
!! ARGUMENTS
!!  myPE     : the processor number
!!  numProcs : the number of processor the problem is running on
!!  restart  : whether starting from initial conditions or from checkpoint
!!  particlesInitialized : is true if particle positions were initialized before returning
!!                         from this routine
!!
!!***

subroutine Grid_initDomain(myPE, numProcs, restart,particlesInitialized)

implicit none
  integer, intent(IN) :: myPE,numProcs
  logical, intent(IN) :: restart
  logical, intent(OUT) :: particlesInitialized
  partilcesInitialize=.false.
  
end subroutine Grid_initDomain
