!!****f* source/Grid/Grid_solvePoisson
!!
!! NAME
!!
!!  Grid_solvePoisson
!!
!!
!! SYNOPSIS
!!
!!   Grid_solvePoisson(integer(IN) :: iSoln,
!!                     integer(IN) :: iSrc, 
!!                  integer(6)(IN) :: bcTypes,
!!                   real(2,6)(IN) :: bcValues,
!!                     real(INOUT) :: poisfact)
!!
!! DESCRIPTION
!!
!!   Driver routine for poisson solvers in the Grid
!!
!!
!! ARGUMENTS
!!
!!  iSoln    -  index to variable containing potential solution
!!  iSrc     - index to variable containing density source
!!  bcTypes  - the boundary condition type; only the first entry is used.
!!                    the following conditions are presently supported:
!!                    MG_BND_PERIODIC
!!                    MG_BND_ISOLATED
!!                    MG_BND_DIRICHLET
!!                    MG_BND_NEUMANN could most likely be easily implemented
!!  bcValues - the values to boundary conditions, currently not used
!!  poisfact      - scaling factor to be used in calculation
!!
!!***

subroutine Grid_solvePoisson (iSoln, iSrc, bcTypes, bcValues, poisfact)


  implicit none

  integer, intent(in)    :: iSoln, iSrc
  integer, intent(in)    :: bcTypes(6)
  real, intent(in)       :: bcValues(2,6)
  real, intent(inout)    :: poisfact
  
  
  return
end subroutine Grid_solvePoisson
