!!****f* source/Grid/Grid_updateRefinement
!!
!! NAME
!!
!!  Grid_updateRefinement
!!
!!
!! SYNOPSIS
!!  
!!  call Grid_updateRefinement(integer(IN) :: myPE,
!!                             integer(IN) :: nstep,
!!                             real(IN) :: time)
!!
!!
!! DESCRIPTION
!!
!!  This routine is applicable only to mesh packages that use adaptive grid.
!!
!!  Applies user-defined refinment critera to determine which blocks need 
!!  to be refined and derefined.  Once the blocks are marked, calls
!!  amr_refine_derefine to actually carry out the refinements.  During this
!!  stage, the blocks are redistributed across processors (if needed).  
!!
!!  After the refinement, the newly created child blocks are filled via
!!  prolongation from the coarse parents.  This prolongation step can use
!!  prolongation routines from paramesh, or defined by the user
!!
!!  Once the prolongation is done, the guardcells are filled.  Finally, the
!!  EOS is called on the block interiors to make them thermodynamically
!!  consistent.
!!
!!
!! ARGUMENTS
!!
!!  myPE  : current processor number
!!  nstep : current step number
!!  time  : current evolution time  
!!
!!
!!***


subroutine Grid_updateRefinement(myPe, nstep,time)

  implicit none

  integer, intent(in) :: nstep,myPe
  real, intent(in) :: time

         
  return
end subroutine Grid_updateRefinement
