!!****ih* source/IO/localAPI/io_ptInterface
!!
!! NAME
!!  io_ptInterface
!!
!! SYNOPSIS
!!  use io_ptInterface
!!
!! DESCRIPTION
!!
!! This is the interface module for particle IO.  This handles whatever
!! correctoions need to be placed in checkpoint files to the next particle 
!! output time, as well as initialzation of particles.  These must only be
!! called from within IO.
!! 
!!***

module io_ptInterface

  interface 
     subroutine io_ptCorrectNextPartTime(simTime, oldTime)
        real, intent(IN) :: simTime
        real, intent(out) :: oldTime
     end subroutine io_ptCorrectNextPartTime
  end interface

  interface
     subroutine io_ptResetNextFile(savedNext)
       real, intent(IN) :: savedNext
     end subroutine io_ptResetNextFile
  end interface

  interface
     subroutine io_ptInit(myPE, numProcs)
       
       implicit none 
       integer, intent(in) :: myPE, numProcs
       
     end subroutine io_ptInit
  end interface

  interface
     subroutine io_ptSendOutputData()
       implicit none

     end subroutine io_ptSendOutputData
  end interface

  interface
     subroutine io_ptWriteParticleData(myPE, numProcs, fileID, &
          globalNumParticles, localNumParticles, particleOffset, &
          partAttributeLabels, particlesToCheckpoint)
#include "constants.h"
#include "Flash.h"
       implicit none
       integer, intent(IN) :: myPE, numProcs, fileID, globalNumParticles, &
            localNumParticles, particleOffset
       character (len=OUTPUT_PROP_LENGTH), intent(IN) :: partAttributeLabels(NPART_PROPS)
       logical, intent(IN):: particlesToCheckpoint
     end subroutine io_ptWriteParticleData
  end interface

  interface
     subroutine io_ptReadParticleData(myPE, numProcs)
       implicit none
       integer, intent(IN) :: myPE, numProcs
     end subroutine io_ptReadParticleData
  end interface
       

end module io_ptInterface
