!!****f* source/Multispecies/Multispecies_init
!!
!! NAME
!!
!!  Multispecies_init
!!
!! SYNOPSIS
!!
!!  Multispecies_init(integer(IN) :: myPE, &
!!                    integer(IN) :: numProcs)
!!
!! DESCRIPTION
!!  
!!  Initializes data structures of the Multispecies unit.
!!  The implementation subroutine first sets property values to UNDEFINED
!!  and then calls Simulation_initSpecies, where the user can implement
!!  setting the properties to meaningful values.
!!
!! ARGUMENTS
!!
!!  myPE -- local processor number
!!  numProcs -- total number of processors.
!!
!! SEE ALSO
!!
!!   Simulation_initSpecies
!!
!!***!

subroutine Multispecies_init(myPE, numProcs)

   implicit none

   integer, intent(IN) :: myPE, numProcs

end subroutine Multispecies_init
