!!****f* source/Particles/Particles_specifyMethods
!!
!! NAME
!!  Particles_specifyMethods
!!
!! SYNOPSIS
!!  Particles_specifyMethods
!!
!! DESCRIPTION
!!  This subroutine is designed to populate a module level particle 
!!  data structure named "pt_typeInfo" with a map and 
!!  initialization method for each particle type.  The methods are 
!!  obtained from the PARTICLETYPE config line, which (for flexibility) is 
!!  stored in the simulation directory of each simulation with particles.
!!
!!  The methods are represented by pre-processor definitions from Particles.h.  
!!  For example, a Sedov problem with tracer particles is generated as:
!!  n = 1
!!  particleInitVect(n) = LATTICE
!!  n = 1
!!  particleMapVect(n) = QUADRATIC
!!
!!  This file uses the custom templating language of the setup script.  
!!  This allows us to specify methods for an arbitrary number of 
!!  particle types at setup time.
!!
!!  NOTES
!!
!!  This routine is generated by the setup script.  Therefore, there is no
!!  implementation in the directory tree.
!!
!!***

subroutine Particles_specifyMethods()

end subroutine Particles_specifyMethods

