!!****f* source/Particles/Particles_unitTest
!!
!! NAME
!!
!!  Particles_unitTest
!!
!! SYNOPSIS
!!
!!  Particles_unitTest(integer, intent(in):: myPE,
!!                integer, intent(in)     :: fileUnit,
!!                logical, intent(inout)  :: perfect  )
!!
!! DESCRIPTION
!!
!!  This unit tests whether particles have moved outside the local bounding
!!  box.  The simulation unitTest/Particles generates random particles and
!!  moves them about.  When this test routine is called, they should all be in
!!  "sensible" places.
!!
!! ARGUMENTS
!!
!!  myPE:      integer   current local processor number
!!  fileUnit:  integer   number of file for output
!!  perfect:   logical   returns true if all tests are passed
!!
!! NOTES
!!
!!***

subroutine Particles_unitTest(myPE,fileUnit,perfect)

#include "Flash.h"
#include "constants.h"

  implicit none

  integer, intent(IN)           :: myPE
  integer, intent(IN)           :: fileUnit ! Output to file
  logical, intent(INOUT)        :: perfect  ! Flag to indicate errors

  return
 
end subroutine Particles_unitTest
