!!****f* source/PhysicalConstants/PhysicalConstants_init
!!
!! NAME
!!  PhysicalConstants_init
!!
!! SYNOPSIS
!!
!!  PhysicalConstants_init(integer(in) :: myPE, &
!!                         integer(in) :: numProcs)            
!!
!! DESCRIPTION
!!
!! This subroutine initializes the Physical Constants databases for
!! units and constants.
!!
!! ARGUMENTS
!!
!!     myPE -     integer(in)     number of current processor
!!     numProcs - integer(in)     total number of processors
!!
!! PARAMETERS
!!
!!  pc_unitsBase   [default "CGS"] set the default system of units, either "CGS" or "MKS"
!!                 CGS:  centimeters, grams, seconds, charge=esu
!!                 MKS:  meters,  kilograms, seconds, charge=Coloumb
!!                     both systems have temperature in Kelvin
!!
!! NOTES
!!
!!***            

subroutine PhysicalConstants_init(myPE, numProcs)
  implicit none 
  integer, intent(in)          :: myPE, numProcs
  return
end subroutine PhysicalConstants_init

