!!****f* source/RuntimeParameters/RuntimeParameters_init
!!
!! NAME
!!  RuntimeParameters_init
!!
!! SYNOPSIS
!!
!!  RuntimeParameters_init(integer(in)  :: myPE,
!!                         logical(out) :: restart)
!!
!!
!! DESCRIPTION
!!
!!  Initializes all the data need in the Runtime Parameters
!!  Unit.  Reads the parameter file, usually flash.par
!!  and broadcasts parameters to the other processors.
!!    
!!
!! ARGUMENTS
!!
!! myPE - current processor number
!! restart - true if run is restarted from checkpoint, false if starting
!!           from scratch
!!           
!!
!!
!!***



subroutine RuntimeParameters_init(myPE, restart)

implicit none
  integer, intent(in) ::  myPE
  logical, intent(out) :: restart

  restart = .false.

end subroutine RuntimeParameters_init
