#if 0
MASTER_PE is the designated master processor in a run
MAX_PROCS value is needed for some allocation, keeping it in a 
  header file makes it easy to change the value if needed for 
  specific machines. The other are some general definitions for convenience
#endif
  
#define MASTER_PE 0
#define MAX_STRING_LENGTH 80
#define OUTPUT_PROP_LENGTH 24
#define REAL_FORMAT "(ES20.13)"
#define MAX_PROCS 132000
#define NO -10
#define NONEXISTENT -1
#define UNKNOWN -2
#define DUMP_IOFILE_NUM 9999

#define TAB_CHAR ACHAR(9)
#define REALSIZE 8

#define FINEST 78


#if 0
  This section defines real numeric constants that are so ubiquitous
  that it is worth having a shared definition of the values.
#endif

#define PI 3.1415926535897932384


#if 0
  This section defines the Grid geometries, which will be
  supported in future release. The first four are definitions
  for the whole grid, the last six define the geometries of 
  individual axes.
#endif

#define CARTESIAN 1
#define POLAR 2
#define CYLINDRICAL 3
#define SPHERICAL 4
#define XYZ 0
#define RAD_CYL 1
#define RAD_SPH 2
#define PHI_CYL 3
#define THETA 4
#define PHI_SPH 5 


#if 0
  This section defines the boundary conditions. Only the
  first four are supported in the current release.
  The integer values must lie in the range -50..-20.
  PARAMESH_PHYSICAL_BOUNDARY should only be used when testing
  for the presence of a boundary, as in
     if (block_neighbor <= PARAMESH_PHYSICAL_BOUNDARY) then ...
  The last constant in the group is used in some places to indicate
  a surface that is not on a physical boundary. 
#endif

#define REFLECTING -31
#define OUTFLOW -32
#define PERIODIC -35
#define USER_DEFINED  -38
#define ISOLATED -33
#define HYDROSTATIC -34
#define DIRICHLET -36
#define PNEUMAN  -37
#define DIODE -39
#define GRIDBC_MG_EXTRAPOLATE -40
#define HYDROSTATIC_NVDIODE -41
#define HYDROSTATIC_NVREFL -42
#define HYDROSTATIC_NVOUT -43
#define HYDROSTATIC_NVZERO -44
#define HYDROSTATIC_F2 -45
#define HYDROSTATIC_F2_NVDIODE -46
#define HYDROSTATIC_F2_NVREFL -47
#define HYDROSTATIC_F2_NVOUT -48

#define PARAMESH_PHYSICAL_BOUNDARY -20
#define GRIDBC_GIMME_WORK -19
#define NOT_BOUNDARY -10

#if 0
  The first three constants in this group are used to specify the edges of 
  cells or blocks, where for cell they have the obvious meaning. When used
  in connection with blocks, LEFT_EDGE 
  indicates guard cells to the left of the block, RIGHT_EDGE indicates
  guard cells to the right of the block and CENTER indicates the interior 
  of the block. The fourth and fifth constants in this group are used only 
  in connection with blocks, "WHOLE_VECTOR" is used 
  when the interior as well as the guard cells on
  both sides are referenced together, and ALLVARS is used when referencing 
  all the physical variables in the Grid data structures such as "unk"
#endif

#define LEFT_EDGE 1
#define CENTER 2
#define RIGHT_EDGE 3
#define WHOLE_VECTOR 4
#define NO_VEC 5
#define ALLVARS -1


#if 0
  This group has definition related to dimensions. The first three 
  are names of the axes. When referring to all the dimensions at once,
  ALLDIR is used, and MDIM defines the maximum number of dimensions
  supported in the code.
#endif

#define IAXIS 1
#define JAXIS 2
#define KAXIS 3
#define ALLDIR -1
#define MDIM 3


#if 0
  The next two constants are used in connection of integer block boundaries
  LOW refers to the lowest index and HIGH refers to the highest index of the 
  block. These can be used interchangeably for either the whole block 
  including guardcells or for the interior only.
#endif

#define LOW 1
#define HIGH 2


#if 0
  The next two constants are used to indicate whether variables need to
  change from one form to another around guard cell exchange. If using
  conservative variables with some Grid implementations, it may be necessary to
  convert them to per-mass form before filling guard cells at fine-coarse boundaries
  to get the interpolation right. If NO_MAPPER is specified no conversions
  are done.
  These symbols are obsolete and not used in any code that is currently supported
  by the FLASH Center. They should not be used by new code.
#endif

#define NO_MAPPER 0
#define CONS_TO_PRIM 1

#if 0
  This group of constants defines options for getting a list of blocks. The 
  four refer to blocks that are on the physical boundary along the respective 
  axis. ACTIVE_BLKS refers to all blocks on which the solution is being 
  advanced. The last three are specific to Paramesh and indicate the position
  of the block in the tree.
#endif

#define IBDRY_BLKS 200
#define JBDRY_BLKS 201
#define KBDRY_BLKS 202
#define ANY_BDRY_BLKS 203
#define ACTIVE_BLKS 204
#define ALL_BLKS    205
#define LEAF 1
#define PARENT_BLK 2
#define ANCESTOR 3
#define REFINEMENT 4

#if 0
  These five constants are used in get/put data functions, The first 
  two are used to indicate whether to count the offset from the edge 
  that includes guardcells, or from the first interior cell. The last 
  indicate the plane for the Grid_get/putPlaneData functions.
#endif

#define INTERIOR 10
#define EXTERIOR 11
#define XYPLANE 55
#define XZPLANE 66
#define YZPLANE 77


#if 0
  This group refers to Grid data strucures, to store cell centered, face
  centered or scratch data for the physical domain. To indicate cell centered
  data we use CENTER which is defined in one of the earlier groups. WORK
  is specific to Paramesh and is used to manage a subset of cell centered
  variables. This group also has constants that can identify specific
  neighbor blocks in paramesh. MAX_GRID_DATA_STRUCT is the count of all
  all currently supported data structures
#endif

#define MAX_GRID_DATA_STRUCT 6
#define FACEX 221
#define FACEY 233
#define FACEZ 255
#define SCRATCH 260
#define WORK 350
#define FACES 375
#define CENTER_FACES 380
#define CELL_VOLUME 382
#define CELL_FACEAREA 383

#if 0
  These constants define the grid variables that a given particle 
  property maps to through Simulation_mapParticlesVar()
#endif

#define PARTICLEMAP_UNK 1
#define PARTICLEMAP_SCRATCH 2
#define PARTICLEMAP_FACEX 3
#define PARTICLEMAP_FACEY 4
#define PARTICLEMAP_FACEZ 5

#if 0
  This constant defines the current maximum number of variables that 
  Paramesh will refine on.
#endif
#define MAXREFVARS 4


#if 0
  This group defines the supported EOS modes. The last three are
  for future use.
#endif
#define MODE_DENS_TEMP 101
#define MODE_DENS_EI 102
#define MODE_DENS_PRES 103
#define MODE_RT 105
#define MODE_RP 106
#define MODE_RE 107


#if 0
These three constants define the sweep directions in the PPM algorithm.
They are also used in other directionally split solvers as well.
#endif

#define SWEEP_X 1
#define SWEEP_Y 2
#define SWEEP_Z 3
#define SWEEP_ALL 0
#define SWEEP_XYZ 1
#define SWEEP_ZYX 2
#define SWEEP_XZY 3
#define SWEEP_YZX 4
#define SWEEP_YXZ 5
#define SWEEP_ZXY 6


#if 0
  This group of constants is meant to be used with the specialized 
  refinement routines provided as reference with this release. The type
  of refinement is an argument in the routine, and these constants are
  the only valid values for that argument.
#endif

#define RECTANGLE 334
#define ELLIPSOID 335
#define THRESHOLD 336
#define INRADIUS 337
#define WITHRADIUS 338

#if 0
  These constants are used by the utilities that convert strings to 
  integer and vice-versa in the Simulation unit to map the components
  of the Grid data strucutures
#endif
#define MAPBLOCKSIZE 5000
#define MAPBLOCK_UNK 0
#define MAPBLOCK_FLUX 1
#define MAPBLOCK_PART 2
#define MAPBLOCK_SCRATCH 3
#define MAPBLOCK_FACES 4

#if 0
  Symbols for Variable Types  
#endif
#define VARTYPE_ERROR 0
#define VARTYPE_GENERIC 1
#define VARTYPE_PER_VOLUME 2
#define VARTYPE_PER_MASS 3

#if 0
   The following constants clarify the specification of boundaries
   in domains that are not clean boxes, or in any way need physical
   boundaries somewhere inside the domain. The faces can also be combined
   with the last two constants to specify neighbors in paramesh.
#endif
#define ILO_FACE 1
#define JLO_FACE 3
#define KLO_FACE 5
#define IHI_FACE 2
#define JHI_FACE 4
#define KHI_FACE 6

#if 0
   These three number represent the fields in the surrblks datastructure of
   Paramesh. PROCNO and BLKNO is also the common way of uniquely identifying
   a block globally in Paramesh
#endif
#define BLKNO 1
#define PROCNO 2
#define TYPENO 3
#define ABSMAXNEGH 4


#if 0
   The next few constants are to facilitate the support for face centered
   variables in Uniform Grid. They are known only to Uniform Grid functions
#endif

#define NDATATYPES 4
#define CENTER_DATATYPE 1
#define FACEX_DATATYPE 2
#define FACEY_DATATYPE 3
#define FACEZ_DATATYPE 4

#if 0
  The following constants are used in mapping particles to mesh when
  using active particles. Since they don not change between simulations,
  they are kept in constants.h instead of Flash.h
#endif

#define ACTIVE_PART_BLK 1
#define ACTIVE_PART_PROP 2
#define ACTIVE_PART_PARTIAL 3
#define ACTIVE_PART_POSX 4
#define ACTIVE_PART_POSY 5
#define ACTIVE_PART_POSZ 6
#define ACTIVE_PART_REFLEVEL 7
#define ACTIVE_PART_NPROPS 7

#if 0
  This group is constants is for use in applying boundary conditions.
  They define the indices for the array that stores the region of the
  block that has been extracted to apply boundary conditions.
#endif

#define BC_DIR 1
#define SECOND_DIR 2
#define THIRD_DIR 3
#define STRUCTSIZE 4
#define REGION_DIM 4


#if 0
  These constants are error codes for linked list get subroutines.
#endif
  
#define NORMAL 0
#define NOTFOUND -1
#define BADVALUE -2

#if 0
  IO_output has an argument that takes an integer quantity that denotes
  the type(s) of output files requested at that particular call.
#endif

#define CHECKPOINT_FILE_ONLY 1
#define PLOTFILE_ONLY 2
#define PARTICLE_FILE_ONLY 4
#define CHECKPOINT_AND_PLOTFILE (CHECKPOINT_FILE_ONLY + PLOTFILE_ONLY)
#define CHECKPOINT_AND_PARTICLEFILE (CHECKPOINT_FILE_ONLY + PARTICLE_FILE_ONLY)
#define PLOTFILE_AND_PARTICLEFILE (PLOTFILE_ONLY + PARTICLE_FILE_ONLY)
#define ALL_FILES (CHECKPOINT_FILE_ONLY + PLOTFILE_ONLY + PARTICLE_FILE_ONLY)

#define PT_MAX_ATTRIBUTES 10
#define PT_VAR 1
#define PT_MAP 2
