!!****f* source/monitors/Logfile/Logfile_break
!!
!! NAME
!!  Logfile_break
!!
!! SYNOPSIS
!!  Logfile_break(integer(in) :: myPE, 
!!                character(in) :: char)
!!
!! DESCRIPTION
!!
!!  Writes a horizontal line of a given char to the Logfile.  This is used to
!!  break up different sections of the Logfile, performance results from runtime stamping
!!  etc.
!! 
!!  ===========================================================================
!!
!! ARGUMENTS
!!
!!  myPE - current processor number
!!  char - single character used to create line in Logfile
!!
!! 
!! 
!! 
!!
!!***

subroutine Logfile_break (myPE, char)

  implicit none

#include "constants.h"
  
  integer, intent(in)                :: myPE
  character(len=1), intent(in)       :: char
  
  return
end subroutine Logfile_break
