!!****f* source/monitors/Timers/Timers_init
!!
!! NAME
!!  Timers_init
!!
!! SYNOPSIS
!!
!!  Timers_init(integer(IN) :: myPE,
!!              integer(IN) :: numProcs,
!!              real(OUT) :: initialWCTime)
!!  
!! DESCRIPTION 
!!  
!!  Initialize the timer data structures.  This will
!!  essentially delete all information previously gathered by all timers
!!  and make it safe to start timers from scratch.  In the middle of
!!  a run, for instance, this could be called once per timestep along with
!!  Timers_getSummary to get timer summary information for each timestep.
!!  
!! ARGUMENTS 
!!
!!  initialWCTime -- the initial wall clock time when this was called. 
!!  numProcs -- the global number of processors.
!!  myPE -- local processor number
!! 
!!***

subroutine Timers_init(myPE,numProcs,initialWCTime)

  implicit none

  integer, intent(IN) :: myPE, numProcs
  real, intent(out) :: initialWCTime

  initialWCTime = 0.

end subroutine Timers_init
