!!****h* source/monitors/Timers/Timers_interface
!!
!! This is the header file for the timers module that defines its
!! public interfaces.
!!***
Module Timers_interface
#include "Flash.h"
#include "constants.h"

  interface Timers_finalize
    subroutine Timers_finalize()
    end subroutine Timers_finalize
  end interface

  interface Timers_getSummary
    subroutine Timers_getSummary(myPE, nIntervals)
      integer, intent(in) :: myPE, nIntervals
    end subroutine Timers_getSummary
  end interface

  interface Timers_init
    subroutine Timers_init(myPE, numProcs, initialWCTime)
      integer, intent(in) :: myPE, numProcs
      real, intent(out) :: initialWCTime
    end subroutine Timers_init
  end interface

  interface Timers_reset
    subroutine Timers_reset()
    end subroutine Timers_reset
  end interface
  
  interface Timers_start
    subroutine Timers_startString(name)
      character(len=*), intent(in) :: name
    end subroutine Timers_startString

    subroutine Timers_startIndex(i)
      integer, intent(in) :: i
    end subroutine Timers_startIndex
  end interface

  interface Timers_stop
    subroutine Timers_stopString(name)
      character(len=*), intent(in) :: name   
    end subroutine Timers_stopString

    recursive subroutine Timers_stopIndex(i)
      integer, intent(in) :: i
    end subroutine Timers_stopIndex
  end interface

end Module Timers_interface
