#if 0
This file contains the indices of the various variables used in 
the EOS routines.  The first seven indices (EOS_VARS) are basic properties
whereas the last eleven indices (EOS_VARS+1 to EOS_NUM) represent derived 
or optionally calculated quantities.

The derived variables are used in the mask required by Eos.F90, and
values for them are returned by Eos in the array eosData when the
corresponding mask element is true.

NOTE1 -- originally both EOS_ENER and EOS_EINT were included here.  
EOS_ENER was the variable (mostly) used internally, and EOS_EINT was basically 
  ignored.  This was very confusing, as the EOS routines work with internal
  entergy, which corresponds to EINT_VAR in the unk array.  Hence, on
7/20/2006 LBR removed all references to EOS_ENER by changing them to EOS_EINT.

NOTE2 -- the equivalent Flash2 variable is given in [brackets] after the 
  description below

quantity EOS_VARS 8
quantity EOS_DERIVS 13
quantity EOS_NUM 21

NOTE3 -- entropy ENTR is a "basic" variable but is not always calculated in UNK
  therefore we put it in with the "derived" variables and you are forced to use
  a mask to calculate it.

basic EOS_PRES  Pressure [p]
basic EOS_DENS  Density  [rho]
  !! basic EOS_ENER  NO LONGER USED in Flash3, only EINT_VAR used
basic EOS_TEMP  Temperature [temp]
basic EOS_GAMC  Adiabatic index, Chandrasekhars Gamma1 [gamc]
basic EOS_EINT  Total internal energy (equivalent to EINT_VAR) [ei]
basic EOS_ABAR  Average mass of the nuclei
basic EOS_ZBAR  Average proton number
basic EOS_ENTR  Entropy 
derived EOS_DPT Derivative of pressure wrt temperature
derived EOS_DPD Derivative of pressure wrt density
derived EOS_DET Derivative of internal energy wrt temperature
derived EOS_DEA Derivative of internal energy wrt atomic mass
derived EOS_DEZ Derivative of internal energy wrt atomic number/charge
derived EOS_DED Derivative of internal energy wrt density
derived EOS_DST Derivative of entropy wrt temperature  
derived EOS_DSD Derivative of entropy wrt density      
derived EOS_CV  Specific heat at constant volume
derived EOS_CP  Specific heat at constant pressure
derived EOS_PEL Electron pressure
derived EOS_NE  Electron number density
derived EOS_ETA Electron degeneracy parameter (chemical potential / k_b*T)

#endif

#define EOS_BEGIN 1
#define EOS_VARS 8
#define EOS_DERIVS 13
#define EOS_NUM 21
#define EOS_PRES 1
#define EOS_DENS 2
#define EOS_EINT 3
#define EOS_TEMP 4
#define EOS_GAMC 5
#define EOS_ABAR 6
#define EOS_ZBAR 7
#define EOS_ENTR 8
#define EOS_DPT 9
#define EOS_DPD 10
#define EOS_DET 11
#define EOS_DED 12
#define EOS_DEA 13
#define EOS_DEZ 14
#define EOS_DST 15
#define EOS_DSD 16
#define EOS_CV  17
#define EOS_CP  18
#define EOS_PEL 19
#define EOS_NE  20
#define EOS_ETA 21
