!!****f* source/physics/Eos/Eos_init
!!
!! NAME
!!
!!  Eos_init
!!
!! 
!! SYNOPSIS
!!
!!  call Eos_init(integer(in) :: myPE)
!!
!! DESCRIPTION
!!
!!  This routine initializes various scalars needed
!!  by the EOS unit from the runtime parameters and physical
!!  constants facilities
!!
!! ARGUMENTS
!!
!!  myPE - current processor
!!
!! PARAMETERS
!!  
!!   Particular implementations (Gamma,Helmholz,etc) of the unit
!!   define their own runtime parameters.
!!
!!   To see the default parameter values and all the runtime parameters
!!   specific to your simulation check the "setup_params" file in your
!!   object directory. You might overwrite these values with the 
!!   flash.par values for your specific run.  
!!
!!
!!***


subroutine Eos_init(myPE)
    
    implicit none
    integer, intent(IN) :: myPE
    ! stub for eos initialization.  This routine will be supplied by one
    ! of the eos modules if it is required. 
    
    
    return
end subroutine Eos_init


