Module Eos_interface

  implicit none

# include "Eos.h"
# include "Flash.h"
# include "constants.h"
  
  interface
     subroutine Eos_guardCells(eosMode, blockID,corners,layers)
       integer,intent(IN) :: eosMode,blockID
       logical,intent(IN) :: corners
       integer,dimension(MDIM),optional,intent(IN) :: layers
     end subroutine Eos_guardCells
  end interface
  
  interface Eos_wrapped
     subroutine Eos_wrapped(mode,range,blockNum)
       integer, intent(in) :: mode
       integer, dimension(2,MDIM), intent(in) :: range
       integer,intent(IN) :: blockNum
     end subroutine Eos_wrapped
  end interface
  
  interface
     subroutine Eos(mode, vecLen, eosData, massFrac, mask)
       integer, INTENT(in) :: mode, vecLen
       real,INTENT(inout), dimension(EOS_NUM*vecLen) :: eosData 
       real, optional, INTENT(in),dimension(NSPECIES*vecLen)    :: massFrac
       logical, optional, INTENT(in),dimension(EOS_VARS+1:EOS_NUM) :: mask     
     end subroutine Eos
  end interface
  
  interface Eos_init
     subroutine Eos_init(myPE)
       integer, intent(IN) :: myPE
     end subroutine Eos_init
  end interface
  
  interface Eos_finalize
     subroutine Eos_finalize()
     end subroutine Eos_finalize
  end interface

  interface
     subroutine Eos_getParameters(eintSwitch,inputsAreUnchanged,inputTempIsGuess,constantGammaC,&
          inputMassFracNeeded,smalle)
       real,OPTIONAL,intent(OUT) :: eintSwitch
       logical,OPTIONAL,intent(OUT) :: inputsAreUnchanged
       logical,OPTIONAL,intent(OUT) :: inputTempIsGuess
       logical,OPTIONAL,intent(OUT) :: constantGammaC
       logical,OPTIONAL,intent(OUT) :: inputMassFracNeeded
       real,OPTIONAL,intent(OUT) :: smalle
     end subroutine Eos_getParameters
  end interface

  interface Eos_unitTest
     subroutine Eos_unitTest(myPE, fileUnit, perfect)
       integer, intent(in) :: myPE, fileUnit
       logical, intent(out) :: perfect
     end subroutine Eos_unitTest
  end interface

end Module Eos_interface
  
