!!****f* source/physics/materialProperties/Conductivity/Conductivity
!!
!! NAME
!!  Conductivity
!!
!! SYNOPSIS
!!  Conductivity(real(in)  :: xtemp,
!!               real(in)  :: xden,
!!               real(in)  :: massfrac(NSPECIES),
!!               real(out) :: isochoricCond,
!!               real(out) :: diff_coeff)
!!
!! DESCRIPTION
!!
!!  Stub implementation for Conductivity.
!!  Returns isochoricCond = 0 and diff_coeff = 0.
!!
!! ARGUMENTS
!!
!!   xtemp      :   temperature (in K)
!!   xden       :   density (in g/cm**3)
!!   massfrac   :   mass fractions of the composition
!!   isochoricCond  :   isochoric conductivity
!!   diff_coeff :   diffusion coefficient ( = isochoricCond/(rho*cv))
!!
!!
!!
!!***

subroutine Conductivity(xtemp,xden,massfrac,isochoricCond,diff_coeff)
!! true stub

#include "Flash.h"
  
  implicit none

  real, intent(IN)   :: xtemp
  real, intent(IN)   :: xden
  real, intent(IN)   :: massfrac(NSPECIES)
  real, intent(OUT)  :: diff_coeff
  real, intent(OUT)  :: isochoricCond


  !dummy values assigned in stub
  diff_coeff = 0.
  isochoricCond = 0.


  return 
end subroutine Conductivity

