!!****h* source/physics/materialProperties/Conductivity/Conductivity_interface
!! NAME
!!  Conductivity_interface
!!
!! SYNOPSIS
!!  Conductivity_interface()
!!
!! DESCRIPTION
!!  This is the header file for the Conductivity Unit that defines its
!!  public interfaces.
!!***

#include "Flash.h"

module Conductivity_interface
  interface

     subroutine Conductivity_init(myPE)
     integer, intent(IN) :: myPE
     end subroutine Conductivity_init
  end interface

  interface
     subroutine Conductivity_finalize()
     end subroutine Conductivity_finalize
  end interface
  
  interface

     subroutine Conductivity(xtemp,xden,massfrac,isochoricCond,diff_coeff)

       real, intent(IN)   :: xtemp
       real, intent(IN)   :: xden
       real, intent(OUT)  :: diff_coeff
       real, intent(OUT)  :: isochoricCond
       real, intent(IN) :: massfrac(NSPECIES)

     end subroutine Conductivity
  end interface

end module Conductivity_interface
