!!****h* source/physics/materialProperties/MagneticResistivity/MagneticResistivity_interface
!!
!! NAME
!!  MagneticResistivity_interface
!!
!! SYNOPSIS
!!  MagneticResistivity_interface()
!!
!! DESCRIPTION
!!  This is the header file for the MagneticResistivity Unit that defines its
!!  public interfaces.
!!***

module MagneticResistivity_interface

  implicit none

#include "Flash.h"

  interface
     subroutine MagneticResistivity_init(myPE)
       integer, intent(IN) :: myPE 
     end subroutine MagneticResistivity_init
  end interface

  interface
     subroutine MagneticResistivity_finalize()
     end subroutine MagneticResistivity_finalize
  end interface
  
  interface
     subroutine MagneticResistivity(temp,dens,xn,magResist)
       real, intent(IN)  :: temp, dens
       real, intent(IN), dimension(NSPECIES)  :: xn
       real, intent(OUT) :: magResist
     end subroutine MagneticResistivity
  end interface

  interface
     subroutine MagneticViscosity(temp,dens,xn,magVisc,j)
       real, intent(IN) :: temp, dens
       real, intent(IN), dimension(NSPECIES) :: xn
       real, intent(OUT):: magVisc
       real, intent(IN), optional :: j
     end subroutine MagneticViscosity
  end interface

end module MagneticResistivity_interface
