!!****f* source/physics/materialProperties/MagneticResistivity/MagneticViscosity
!!
!! NAME
!!  MagneticViscosity
!!
!! SYNOPSIS
!!  MagneticViscosity(real,    intent(IN)  :: temp,
!!                    real,    intent(IN)  :: dens,
!!                    real,    intent(IN)  :: xn(NSPECIES),
!!                    real,    intent(OUT) :: magVisc
!!                    real,    intent(IN), optional :: j)
!!
!! DESCRIPTION
!!  A stub implementation for MagneticViscosity.
!!  Returns magVisc = 0.0
!!
!! ARGUMENTS
!!  temp    - Plasma temperature
!!  dens    - Plasma density
!!  xn      - Species
!!  magVisc - Magnetic viscosity
!!  j       - Magnitude of the current, j=sqrt(jx^2+jy^2+jz^2)
!!
!!***

subroutine MagneticViscosity(temp,dens,xn,magVisc,j)

  implicit none

#include "Flash.h"


  !! Argument list -------------------------------
  real, intent(IN) :: temp, dens
  real, intent(IN), dimension(NSPECIES) :: xn
  real, intent(OUT):: magVisc
  real, intent(IN), optional :: j
  !! ----------------------------------------------

  magVisc = 0.0

  return
end subroutine MagneticViscosity
