!!****ih* source/Particles/localAPI/pt_interface
!!
!! This is the header file for the initialization subunit of the Particles
!! unit. It defines the interfaces with subunit scope.
!! 
!!***
Module pt_interface
#include "constants.h"
#include "Flash.h"

  interface
     subroutine pt_initPositions(blockID,success)
       integer, intent(IN) :: blockID
       logical,intent(OUT) :: success
     end subroutine pt_initPositions
  end interface

  interface
     subroutine pt_initPositionsLattice(blockID,success)
       integer, intent(IN) :: blockID
       logical,intent(OUT) :: success
     end subroutine pt_initPositionsLattice
  end interface

  interface
     subroutine pt_initPositionsWithDensity(blockID,success)
       integer, intent(IN) :: blockID
       logical,intent(OUT) :: success
     end subroutine pt_initPositionsWithDensity
  end interface

  interface
     subroutine pt_createTag()
     end subroutine pt_createTag
  end interface

  interface
     subroutine pt_initFinalize()
     end subroutine pt_initFinalize
  end interface

  interface
     subroutine pt_initLocal()
     end subroutine pt_initLocal
  end interface
  
  interface
     subroutine pt_mapStringParamToInt(mappedInt,paramString, mapblock,ind  )

       integer,intent(OUT) :: mappedInt
       character(len=MAX_STRING_LENGTH),intent(IN) :: paramString
       integer,intent(IN) :: mapblock
       integer,intent(IN) :: ind
     end subroutine pt_mapStringParamToInt
  end interface


  interface
     subroutine pt_mapFromMeshQuadratic (numAttrib, attrib, pos, bndBox,&
          deltaCell,solnVec, partAttribVec)
       
       
       integer, INTENT(in) :: numAttrib
       integer, dimension(2, numAttrib),intent(IN) :: attrib
       real,dimension(MDIM), INTENT(in)    :: pos,deltaCell
       real, dimension(LOW:HIGH,MDIM), intent(IN) :: bndBox
       real, pointer       :: solnVec(:,:,:,:)
       real,dimension(numAttrib), intent(OUT) :: partAttribVec
       
     end subroutine pt_mapFromMeshQuadratic
  end interface
  
  interface
     subroutine pt_mapFromMeshWeighted (numAttrib, attrib, pos, bndBox,&
          deltaCell,solnVec, partAttribVec)
       
       integer, INTENT(in) :: numAttrib
       integer, dimension(2, numAttrib),intent(IN) :: attrib
       real,dimension(MDIM), INTENT(in)    :: pos,deltaCell
       real, dimension(LOW:HIGH,MDIM), intent(IN) :: bndBox
       real, pointer       :: solnVec(:,:,:,:)
       real,dimension(numAttrib), intent(OUT) :: partAttribVec
     end subroutine pt_mapFromMeshWeighted
  end interface

  interface
     subroutine pt_advancePassive (dtOld,dtNew,particles,p_count)
       
       real, INTENT(in)  :: dtOld, dtNew
       integer, INTENT(in) :: p_count
       real,dimension(NPART_PROPS,p_count),intent(INOUT) :: particles
     end subroutine pt_advancePassive
  end interface

  interface
     subroutine pt_advanceActive (dtOld,dtNew,particles,p_count)
       real, INTENT(in)  :: dtOld, dtNew
       integer, INTENT(in) :: p_count
       real,dimension(NPART_PROPS,p_count),intent(INOUT) :: particles
     end subroutine pt_advanceActive
  end interface

  interface
     subroutine pt_updateTypeDS (particlesPerBlk)
       
       integer, INTENT(in), dimension(MAXBLOCKS,NPART_TYPES) :: particlesPerBlk
     end subroutine pt_updateTypeDS
  end interface

end Module pt_interface
